For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Shopping Lists

Returns all available shopping lists for the user. This API available only for user access-token integration.

Get Shopping Lists

GET https://graph.whisk.com/v1/lists

{
  "lists": [
    {
      "id": "ef610b5c0e294ef6a54931738d79f55d",
      "name": "My Shopping List",
      "createdTime": "2017-12-07T20:06:14+0000",
      "updatedTime": "2017-12-07T20:06:14+0000"
    }
  ]
}

Response

ATTRIBUTE

TYPE

DESCRIPTION

lists*

array [ListsItemResponse]

ShoppingList

ATTRIBUTE

TYPE

DESCRIPTION

id*

string

name*

string

count

integer

The number of items in the Shopping List

createdTime*

datetime

The time the Shopping List was created.

updatedTime*

datetime

Sample Request

Last updated

Was this helpful?